Getting started with ImageWalker

ImageWalker Overview.

ImageWalker will allow you to manage your image files visually. It simplifies the process of viewing, cataloging, and publishing digital images. Its features include; web page creation, thumbnail generation and printing, batch image conversion, slide show and screen saver.

For specific information try the following sections:

  • If you have a specific question try the Frequently Asked Questions section.
  • The ImageWalker web site also has many online tutorials to help you.
  • If you are experiencing a problem or crash with ImageWalker see Contacting Support.
  • Finally How to register ImageWalker.

ImageWalker is designed to be easy to use. It looks just like Windows Explorer but has many powerful image management features built in. See the user interface guide for more information.

ImageWalker will allow you drag and drop picture files to and from folders on your hard drive just like Windows Explorer. Many image editors will allow you to drag files directly from ImageWalker right into the image editor for even more ease of use.

Cataloging features such as thumbnails and Contact sheets are supported by ImageWalker. It has the ability to display an entire folder of images as thumbnails on your screen to aid with sorting and viewing images. ImageWalker will also generate Web pages of thumbnails, ready for uploading to your web page.

ImageWalker can generate the thumbnails on-the-fly or optionally if you require better performance ImageWalker can store the thumbnails in a cache file. Cache files are stored on hard disk or CD, they can speed the time it takes to view thumbnails.

If you have many CD collections of images, you can keep copies of the CD cache files on your hard drive for offline browsing. ImageWalker allows you to open a cache file and browse thumbnails without the disk inserted.

ImageWalker also supports many other features such as batch image convertion or scale, custom thumbnail sizes, keywords and descriptions stored in images and image capture from the screen or TWAIN compatible scanners or digital cameras.


ImageWalker User Interface

Folder View

The folder view of the main ImageWalker interface functions like Microsoft Explorer with thumbnails. It displays the current folder and supports many intuitive functions such as file selection and drag and drop.

The tool tip shows information about the image currently under the cursor.

The buttons on the bottom right of the folder menu control view options and mode.

  • Normal View - Displays as many thumbnails as possible on the current screen.
  • Detail View - Displays thumbnails and details.
  • Print View - Displays thumbnails in an approximate preview of what they would look like if printed, made into a contact sheet or web page.
  • View Option - Shows options that currently effect the folder view.

Preview View

The preview view shows the image that is currently focused in the folder view.

It has several controls along its bottom that control it.

  • Scale Combo - Controls the scale of the current image. You can type an percentage into the box, a ration such as 1:2 or 3:2.
  • Fit to Window - Fit the current image exactly to the screen.
  • True Size - Show the current image at actual size.
  • Smooth Scale - Enable smooth high quality scaling of image.
  • Background Color - Background Color.
  • Navigate - Select a section of the image to scroll to. This only works if the image is larger then the preview window.

Control and Command Bars

Menu Bar - Main application menu menu.

Tool Bar - Main application tool bar.

Address Bar - Used to display enter or select the current folder.

Search - Used to find images on subfolders.

View Selector - The view selector controls what is shown on the left side of ImageWalker. This can be the preview view, Image Edit View, Image Description View or the Folder Tree View.

Preview View Status - This status pane shows what is occurring on the left side of ImageWalker.

Background Processing Indicator - Will show motion if ImageWalker is processing (Normally creating thumbnails) in the background.

Folder View Status - Shows information about the current folder view.


Registration

Registration of ImageWalker

I am very happy you have decided to register ImageWalker. One Registration costs US $20.00 per copy.

When you have completed evaluating and are using ImageWalker regularly then you should register. If you want to register right now go to www.ImageWalker.com\register.html.

When you register you will not receive a CD or manual only electronic registration instructions. You are simply paying for your usage of ImageWalker.

Why should I register?

If you register you are investing in newer and better versions. ImageWalker can only improve with each version. If enough people register I will be able to buy a copy of bounds checker and get rid of bugs quicker.

If everyone registers I might be able to work full time on ImageWalker and make it the definitive Image Management Utility!

What do you get?

If you register ImageWalker 2.0 you also get all other 2.x releases. This will include a large number of new features.

I am already starting planning on version 2.1 with a batch image annotator and rename. Best of all I will also prioritize support for registered users. You will also clear your conscious a little, I guarantee it.

How much is it?

One Registration costs US $20.00, bulk discounts as below:

Registrations | US$ Each
1 | $20.00
2- 9 | $18.00
10-24 | $17.00
25-49 | $16.00
50 and more | $15.00

To get these discounts currently you would have to contact me directly as I have no online facility to take the order. Please email Support@ImageWalker.com for more information.

Also email me if you would like to negotiate a site license.

Who should register?

Everyone should register except charity for non profit organizations. Charity or non profit organizations get free use of ImageWalker!

Anyone who Beta tested ImageWalker and helped me resolve a bug does not need to register.

If you don't know if you should register better email me at Support@ImageWalker.com and I will tell you.


ImageWalker Support

When reporting a bug please supply the following details:

  • Your email address
  • The version of the software you are running (This can be found on the about box; click on About ImageWalker under the help menu )
  • The operating system you are running (Windows 95/98/NT/2000)
  • The version (if any) of Internet Explorer installed on you computer

NOTE: The ImageWalker program can automatically provide the above information. To see this information click Bug Report under the help menu.

For General Support Questions:

  • Many support questions are already answered in the FAQ. Please read it.
  • Email Support@ImageWalker.com with the details of your query or problem.

Some Known Bugs

  • The folders tree view does not refresh when you create or remove folders. You must press F5 or click refresh to update the tree.
  • BMP Files sometimes have reversed colors. Please send me BMP files that cause this problem.
  • From time to time Twain operations cause a GPF. If anyone can reproduce this let me know how.
  • When playing a MP3 or AVI file the position indicator does not update. I don't know why?


ImageWalker Tools

ImageWalker has many tools to allow you to manipulate and manage images effectively. Technical details on each of the tools can be found below.

  • Create web pages
  • Create contact sheet
  • Create Animated Gif Slide Show
  • Export Descriptions
  • Import Descriptions
  • Convert Multiple Images
  • Scale Multiple Images
  • Save Cache file or Save Cache File As
  • View Options
  • Screen Saver Options
  • Screen Capture


The Create Web Page Wizard

The web page creation wizard creates web pages or HTML files to display the images in the current folder. The wizard takes you through several steps and will prompt you for the following settings. For more information on see How to create web pages.

Input Section

The Files Input section defines the files to be processed:

  • All images in the current folder.
  • or those images selected in the browser window.

Web Template

The Web Template section will prompt the user to chose a Web Template and a Style Sheet. The template and the style sheet are combined to make the new web page.

Thumbnail Size

The thumbnail size section allows the user to select the size and format of thumbnails in the completed web page.

Index Page Formatting

The index page formatting allows the user to define the web page style and other view options. The two styles available are as follow:

  • Normal - Thumbnails in rows and columns as defined in the view options.
  • Detail - Thumbnails in a single column and containing supporting detailed image statistics.

Other settings can be configured in the view options. These options control the geometry of a web page including the number of thumbs per column or row; as well as annotative text.

It is important to note that some templates may override 1 or more of these settings.

File Out

The file output section contains the following settings.

  • The file name of the index web page.
  • The output folder. It is recommended that you do not output files to the current folder.
  • An overwrite existing file option.
  • Convert filenames to lower case. This is useful for systems that are case sensitive like Unix.

Tips:

  • Web pages will incorporate descriptions entered for images.


Create Contact Sheet

The Create Contact Sheet Wizard

The contact sheet creation wizard creates contact sheets to display the images in the current folder. The wizard takes you through several steps and will prompt you for the following settings. For more information on see How to create contact sheets.

Input Section

The Files Input section defines the files to be processed:

  • All images in the current folder.
  • or those images selected in the browser window.

Contact Sheet Settings

The Contact Sheet Settings allows the user to define the overall contact sheet size and other view options.

You can enter or select the proposed contact sheet size. Thumbnail size is automatically calculated based on the contact sheet dimensions.

Other settings can be configured in the view options. These options control the geometry of a web page including the number of thumbs per column or row; as well as annotative text.

File Out

The file output section contains the following settings.

  • The file name of the cover sheet to be created.
  • The output folder.
  • An overwrite existing file option.

File Format.

The file format section allows the user to select the format of the completed contact sheet or sheets.


The Create Animated Gif Slide Show Wizard

The Animated Gif Slide Show creation wizard creates GIF files to display the images in the current folder. The wizard takes you through several steps and will prompt you for the following settings.

Input Section

The Files Input section defines the files to be processed:

  • All images in the current folder.
  • or those images selected in the browser window.

Scale Size

The scale size section allows the user to define how large the animated gif image will be.

Tip: The larger the image the larger the final GIF file size. If you plan to place this image on a web page it is best to limit the size of you image.

File Out

The file output section contains the following settings.

  • The file name for the Animated Gif Slide Show.
  • The time delay between each image.


The Convert Multiple Images Wizard

The Convert Multiple Images wizard converts images in the current folder to a different format. The wizard takes you through several steps and will prompt you for the following settings.

Input Section

The Files Input section defines the files to be processed:

  • All images in the current folder.
  • or those images selected in the browser window.

File Format

The format to convert files to is set in this section. For more information on file formats click here.

File Out

The file output section contains the following settings.

  • The output folder. It is recommended that you do not output files to the current folder.
  • Overwrite existing file option.
Return to the index or www.ImageWalker.com


Scale Multiple Images

The Scale Multiple Images wizard resizes images in the current folder to a different format. The wizard takes you through several steps and will prompt you for the following settings.

Input Section

The Files Input section defines the files to be processed:

  • All images in the current folder.
  • or those images selected in the browser window.

Scale Size

This section allows the user to define the dimensions in pixels of the output images.

File Format

ImageWalker only supports writing of files in JPEG, PNG, TIFF and GIF formats. If your source file not one of these formats ImageWalker must needs a default output type to write the new scaled image in. For more information on file formats click here.

You can chose with the convert all files option to write all scaled images in this default format.

File Out

The file output section the file output section contains the following settings.

  • The output folder. It is recommended that you do not output files to the current folder.
  • An overwrite existing file option.


The Export Descriptions Wizard

The export description wizard allows the user to export descriptions stored inside image files in IPTC format to an external XML file.

This is primarily designed to allow backup of description information. Often other image edit applications will remove the description information. It is advised that you regularly back up image descriptions if you are modifying images with other programs.

The XML file is compatible with ImageWalker version 1.05. If anyone would like to sponsor or recommend additional description formats contact support.

You can import descriptions using the description import wizard.


The Import Descriptions Wizard

The import description wizard allows the user to import descriptions stored in and XML file into image files using IPTC format.

The XML file is compatible with ImageWalker version 1.05. If anyone would like to sponsor or recommend additional description formats contact support.

You can also export descriptions using the description export wizard.

Return to the index or www.ImageWalker.com


The Options Dialog

The view options dialog is used to configure the ImageWalker user interface as well as options for printing, contact sheet and web page creation. It has three sections:

Thumbnail Size

This section allows the user to define the thumbnail size onscreen. If you change the current setting ImageWalker re-renders the the current thumbnails.

This section also has an option to enable or disable special effects such as blending or fading of images being displayed in a slide show.

View Layout

The view layout section contain options on thumbnail geometry and annotative text. These options can also apply to web pages, thumbnails printed or on contact sheets.

Headers and Footers

Headers an footers can appear on web pages and thumbnails; printed or on contact sheets.

The headers and footers options allow you decide if you want them displayed and if so what text they contain.

Behaviour

The ‘Show images full screen when double clicked’ option allows images from the folder view to be shown full screen when double clicked.

‘Never obscure’ never allows thumbnails to be obscured in the folder view.

‘Auto Save’ automatically saves images in the image view.

Graphics

The graphics tab contains options to allow you to turn of some of ImageWalker’s advanced graphical effects. This can help to solve display problems with ImageWalker.


Printing

Printing Images

You can print images by clicking Print on the Standard toolbar. To display each page as it will look when printed, click Print Preview on the Standard toolbar.

You can control the number of images printed on each page by changing the print or contact sheet dimensions in the view options. The print or contact sheet dimensions are found on the view layout tab. In the ImageWalker program press F4 to bring up the view options.

Troubleshoot printing

On some systems ImageWalker may hang during printing or print blank pages. Increasing the printer timeout setting can fix this problem. To do this:

  1. Click on Printers under the Start/Settings menu in windows.
  2. Right click on the printers icon and select properties.
  3. Select the Details Tab.
  4. Increase queue time or "Timeout setting" to from 15 to 45 seconds. ("Transmission retry" already has a default value of 45 seconds is already a default)


Rename Series

The Rename Series wizard can rename a group of files according to a numbered series.

For example:

Original names: | New names:
Fred.jpg | TheGuys1.jpg
Sam.jpg | TheGuys2.jpg
Bob.jpg | TheGuys3.jpg


Save Cache File

This tool saves a cache file in the current folder or other specific location.

ImageWalker can use cache files stored in the current folder to improve performance. For more information see How to make ImageWalker run faster.

If you have many CD collections of images, you can keep copies of the CD cache files on your hard drive for offline browsing. ImageWalker allows you to open a cache file and browse thumbnails without the disk inserted.


The Screen Capture Dialog

The Screen Capture Function lets you copy all or part of your computer screen into an image file. The new image files will be created in the current folder.

ImageWalker captures multiple screen shots; you start capture mode; capture one or more images; then stop capture mode.

To start capturing click Start Screen Capture under the capture menu. You will be prompted with several capture options:

  1. Hotkey - This is the key combination that triggers a screen capture.
  2. What to capture - This is the area of the screen that will be captured.
  3. File output type - This is the format of the file the captured screen will be written to.
  4. Include cursor - This allows the current cursor to be in the capture.

To stop capturing screen shots click Stop Screen Capture under the capture menu.


Animated Gif Slide Show

ImageWalker Screen Saver Options

The ImageWalker Screen Saver Options dialog is used to configure the ImageWalker Screen Saver. For more information see How do I use the ImageWalker screen saver?


Frequently Asked Questions

1. About Images
  • 1.1 How can I view image files?
  • 1.2 How can I have a slide show?
  • 1.3 How can I scale Multiple Images?
  • 1.4 How can I convert Multiple Images?
  • 1.5 What image formats are supported by ImageWalker?
  • 1.6 What is a JPEG?
  • 1.7 What is a GIF?
  • 1.8 What is a PNG?
  • 1.9 When should I use JPEG, over GIF or PNG?
2. About the ImageWalker user interface
  • 2.1 How can I use the address bar?
  • 2.2 How can I search for files?
  • 2.3 How can I copy or move files?
  • 2.4 How can I create contact sheets?
  • 2.5 How can I capture images using a scanner or camera (Using TWAIN)?
  • 2.6 How can I make ImageWalker run faster?
  • 2.7 What is a cache file?
  • 2.8 How can I open a cache file and browse its thumbnails?
  • 2.9 How can I change the thumbnail size?
  • 2.10 What is a wildcard?
3. File Manipulation
  • 3.1 Navigation
  • 3.2 Selection
  • 3.3 Sorting
  • 3.4 Drag and Drop
  • 3.5 Copy and paste
4. About ImageWalker Windows Shell Integration
  • 4.1 How can I browse a folder with ImageWalker from Windows Explorer?
  • 4.2 How can I set an image as the desktop wallpaper?
  • 4.3 How can I use the ImageWalker screen saver?
  • 4.4 How can I access ImageWalker programmatically?
5. About Web pages
  • 5.1 How can I Create web pages?
  • 5.2 What is HTML?
  • 5.3 What are Cascading Style Sheets (CSS)?
  • 5.4 What is FTP?
  • 5.5 How can I design my own web page templates?
6. About Image Descriptions
  • 6.1 How can I add image descriptions?
  • 6.2 Where does ImageWalker store the Image Descriptions?
  • 6.3 What is IPTC?
  • 6.4 How can I import other Image Descriptions?

1.1 How to view image files

  1. Navigate to the folder containing the image.
  2. Select the image.
  3. The preview window will automatically show the image.

1.3 How to have a slide show

ImageWalker will show all image files in the current folder.

  1. Navigate to the folder containing the images.
  2. Click on the start/stop command in the slide show menu.

1.3 How to scale Multiple Images

  1. Navigate to the folder containing the images you want to convert.
  2. Select the images.
  3. Click on the scale multiple images command in the tools menu.
  4. Set the required creation options.
  5. Follow the steps in the wizard.

For more information on file formats click here.

1.4 How can I convert Multiple Images

  1. Navigate to the folder containing the images you want to convert.
  2. Select the images.
  3. Click on the convert multiple images command in the tools menu.
  4. Set the required creation options.
  5. Follow the steps in the wizard.

1.5 Supported Image Types

ImageWalker currently supports the following image formats:

  • BMP files [reading] Microsoft Windows bitmap image file
  • ICO files [reading] Microsoft icon
  • JPEG/JIF files [reading, writing] Joint Photographic Experts Group JFIF format
  • JNG files [reading] MNG and JNG reading using LibMNG
  • KOALA files [reading]
  • Kodak PhotoCD files [reading] Photo CD (PCD, PCDS)
  • LBM files [reading] Deluxe Paint reading
  • MNG files [reading]
  • PCX files [reading] ZSoft IBM PC Paintbrush file
  • PNG files [reading, writing] Portable Network Graphics
  • PNM files [reading] Portable anymap
  • Sun RAS files [reading] SUN Rasterfile
  • TARGA files [reading] Truevision Targa image file
  • TIFF files [reading, writing] Tagged Image File Format
  • WBMP files [reading] Wireless bitmap image file
  • GIF files [reading, writing] CompuServe graphics interchange format
  • WMF [reading] Windows Meta File

Image Walker also supports various media files. Displaying of these media files requires Windows Media Player to be installed.

  • AVI - Video file.
  • WAV - Audio file.
  • MPEG - Movie files with .mpeg, .mpg, .mpe, .m1v, .mp2, .mpv2, and .mpa extensions.
  • MP3 - Compressed sound files with .mp3 and .m3u file extensions.
  • MIDI - Sequenced sound files with .mid, .midi, and .rmi file extensions.
  • AIFF - Raw sound files with .aif, .aifc, and .aiff file extensions.
  • AU - Sound files with .au and .snd file extensions.

If you would like to sponsor ImageWalker to support additional image formats email toSupport@ImageWalker.com

1.6 What is a JPEG?

JPEG (Joint Photographic Experts Group)

JPEG image compression method works well on photographs, naturalistic artwork, and similar material; not so well on lettering, simple cartoons, or black-and-white line drawings (files come out very large).

JPEG is "lossy", meaning that the image you get out of decompression isn't quite identical to what you originally put in. The algorithm achieves much of its compression by exploiting known limitations of the human eye, notably the fact that small color details aren't perceived as well as small details of light-and-dark. Thus, JPEG is intended for compressing images that will be looked at by humans.

A lot of people are scared off by the term "lossy compression". But when it comes to representing real-world scenes, no digital image format can retain all the information that impinges on your eyeball. By comparison with the real-world scene, JPEG loses far less information than GIF.

Quality v Compression

A useful property of JPEG is that adjusting compression parameters can vary the degree of lossiness. This means that the image creator can trade off file size against output image quality.

For good-quality, full-color source images, the default quality setting (Q 75) is very often the best choice. Try Q 75 first; if you see defects, then go up.

1.7 What is a GIF?

GIF (Graphics Interchange Format)

The Graphics Interchange Format was developed in 1987 at the request of CompuServe, who needed a platform independent image format that was suitable for transfer across slow connections. It is a compressed (loss less) format (it uses the LZW compression) and compresses at a ratio of between 3:1 and 5:1.

It is an 8-bit format, which means the maximum number of colors supported by the format is 256.

There are two GIF standards, 87a and 89a (developed in 1987 and 1989 respectively). The 89a standard has additional features such as improved interlacing, the ability to define one color to be transparent and the ability to store multiple images in one file to create a basic form of animation.

ImageWalker can combine multiple images to a single animated gif?

1.8 What is a PNG?

PNG (Portable Network Graphics format)

In January 1995 Unisys, the company CompuServe contracted to create the GIF format, announced that they would be enforcing the patent on the LZW compression technique the GIF format uses. This means that commercial developers that include the GIF encoding or decoding algorithms have to pay a license fee to CompuServe.

However, a number of people banded together and created a completely patent-free graphics format called PNG (pronounced "ping"), the Portable Network Graphics format. PNG is superior to GIF in that it has better compression and supports millions of colors. PNG files end in a .png suffix.

1.9 When should I use JPEG, over GIF or PNG?

JPEG is not going to displace GIF or PNG entirely. For some types of images, GIF or PNG is superior in image quality, file size, or both. One of the first things to learn about JPEG is which kind of images to apply it to.

Generally speaking, JPEG is superior to GIF or PNG for storing full-color or gray-scale images of "realistic" scenes; that means scanned photographs and similar material. Any continuous variation in color, such as occurs in highlighted or shaded areas, will be represented more faithfully and in less space by JPEG than by GIF or PNG.

GIF OR PNG does significantly better on images with only a few distinct colors, such as line drawings and simple cartoons. Not only is GIF OR PNG loss less for such images, but also it often compresses them more than JPEG can. For example, GIF OR PNG compresses large areas of pixels that are all exactly the same color very efficiently indeed. JPEG can't squeeze such data as much as GIF OR PNG does without introducing visible defects. (One implication of this is that large single-color borders are quite cheap in GIF or PNG files, while they are best avoided in JPEG files.)

JPEG has problems with very sharp edges: a row of pure-black pixels adjacent to a row of pure-white pixels, for example. Sharp edges tend to come out blurred unless you use a very high quality setting. Edges this sharp are rare in scanned photographs, but are fairly common in GIF OR PNG files: borders, overlaid text, etc. The blurriness is particularly objectionable with text that's only a few pixels high. If you have a GIF or PNG with a lot of small-size overlaid text, don't JPEG it.

Plain black-and-white (two level) images should never be converted to JPEG; they violate all of the conditions given above. You need at least about 16 gray levels before JPEG is useful for gray-scale images. It should also be noted that GIF or PNG is loss less for gray-scale images of up to 256 levels, while JPEG is not.

2.1 How to use the address bar

The address bar shows the current folder that ImageWalker is viewing. Selecting a new folder with the address bar will change the current folder.

You can type a new folder name directly into the address bar. To enter a new address:

  1. Click the address bar’s edit box to select or focus it.
  2. Enter the new address text.
  3. Press enter.

You can enter either a fully qualified path ‘c:\Images\My Holiday’ or relative path ‘My Holiday’. Entering ‘..’ will take you to the parent folder.

The escape key will cancel editing of the address bar.

2.2 How can I search for files?

To search sub folders for image files using ImageWalker:

  1. Navigate to the folder containing the files and sub-folders you want to search.
  2. Select the Search view tab.
  3. Enter the search criteria (see below).
  4. Click Search Now.

Search Criteria:

  • In Search for files or folders named, type all or part of the file name you want to find.
  • To search for files containing specific keywords, in Containing key words, type the key words you want to find.
  • To search for files containing specific description text, in Containing words in description, type the text you want to find.
  • Select Search inside .IW files to search inside cache files.
  • Select Date to look for files that were modified on or between specific dates.
  • Select Size to look for files of a specific size.

Note:

  • You can use wild cards in your search criteria.
  • If you get too many results, try entering additional search criteria to make your search more specific.

2.3 How to copy or move files

You can copy or move files in two ways.

  • Drag and drop.
  • Copy and paste.

2.4 How to create contact sheets

Contact sheets are pages of thumbnails stored as image files containing several thumbnails.

To create a series of contact sheets based on images in the current folder.

  1. Navigate to the folder containing the images you want to include in the contact sheet.
  2. Select the images.
  3. Click on the create catalogue images command in the tools menu.
  4. Set the required creation options.
  5. Follow the steps in the wizard.

2.5 How can I capture images using a scanner or camera (Using TWAIN)?

TWAIN defines a standard software protocol and application programming interface (API) for communication between software applications and image acquisition devices.

ImageWalker can use TWAIN to capture Images from digital cameras or scanners.

Select Source

To select a TWAIN-compliant device, scanner or camera, for acquiring images:

  1. Choose Select Source from the Capture menu. ImageWalker will tell TWAIN_32.DLL to open its Select Source dialog box.
  2. Highlight the device that you want to use.
  3. Click the OK button.
Acquire

To acquire an image using the selected TWAIN-compliant device:

  1. Choose Capture from the File menu. ImageWalker will tell TWAIN_32.DLL to open the device software's interface.
  2. Use the interface to set the image acquisition options. For help using the interface, consult its on-line help or the device software's help file. When the device and its software finish processing the image, it will be sent to ImageWalker and shown in the preview window.

2.6 How to make ImageWalker run faster

ImageWalker can use cache files to speed up its operation.

  • ImageWalker always checks the current folder for a cache file.
  • You can place a cache file into a specific folder to optimize only that folder.
  • This feature works well with removable media (CD or Zip Disk).
  • To save a cache file in the current folder click on the save cache file in the tools menu.

Turning off special effects in the view options can also improve performance on slow machines.

2.7 What is a cache file?

Cache files are databases of pre-generated thumbnails.

Normally every time you browse to a folder, ImageWalker needs to generate thumbnails for any images found. Generating these thumbnails can be slow.

If a cache file exists, thumbnails can be loaded and displayed quickly.

2.8 How can I open a cache file and browse its thumbnails

  1. From either ImageWalker or Windows Explorer open the folder where the cache file is located.
  2. Double-click the cache file you want to open.
  3. The cache file will be displayed in ImageWalker. ImageWalker will show a yellow background in the folder window as a visual clue that you are viewing a cache file and not a real folder.

Note:

  • You cannot edit cache files.
  • ImageWalker 2.0 cannot use cache files generated by ImageWalker 1.05.

2.9 How can I change the thumbnail size?

Depending on what your doing several ways to control the thumbnail size exist.

  1. In the normal folder view you can set thumbnail dimensions from the Tools->View Options Menu. Then 'Thumbnail Size' tab, you can then type in or select the thumbnail dimensions.
  2. If you are creating a web page you can invoke a similar dialog from the web page creation wizard.
  3. During printing the thumb size is automatically calculated depending on the view options. From the Tools->View Options Menu. Then 'View Layout' tab, you can then type in or select the print or contact sheet settings.

2.10 What is a wildcard?

A wildcard character is a keyboard character such as an asterisk (*) or a question mark (?) that you can use to represent one or more real characters when you are searching for files or folders. Wildcard characters are often used in place of one or more characters when you don't know what the real character is or you don't want to type the entire name.

Asterisk (*)

You can use the asterisk as a substitute for zero or more characters. If you're looking for a file that you know starts with "summ" but you can't remember the rest of the file name, type the following:

"summ*" (without the quotation marks)

The search will locate all files of any file type that begin with summ including "Summary.txt", "Summary.doc", and "Summer.doc". To narrow the search to a specific type of file, type:

"summ*.doc"

In this case, the search will find all files that begin with summ but have the file extension ".doc", such as "Summary.doc" and "Summer.doc".

Question Mark (?)

You can use the question mark as a substitute for a single character in a name. For example, if you typed "summ?.doc", the search would locate the file "Summ1.doc" or "Summ2.doc" but not "Summary.doc".

3.1 How to Navigate

You navigate through your system with ImageWalker the same way you would with Windows Explorer.

  • You can browse a folder by double clicking on it
  • To go to a parent folder click on the Browse Parent in the File menu
  • Double clicking on a file opens that file
  • Selecting a file will show a preview of that file in the preview window

3.2 How to Select Items

Items in the browser window can be selected in the following ways:

To Select an item

Click an item.

To Select a range

Press and hold down the SHIFT key, and click the first and last item in the group.

To Select multiple items

Press and hold down the CTRL key, and click individual items in the group.

Tip:

Selection works as in Windows Explorer.

3.3 Sorting

The arrange icons submenu under the view menu is used to set the sorting method.

Items in the browser window can be sorted in 4 different ways.

  • Name
  • Date
  • Size
  • Type

3.4 How to Drag and Drop

Items in the browser window can be dragged and dropped.

  1. Select the files you want to drag in the browser window.
  2. Point to an item, press and hold down the mouse button.
  3. Drag item to new location.

The new location can be:

  • Another ImageWalker instance
  • A different folder in the same ImageWalker instance
  • Windows Explorer
  • The desktop

Tips:

  • If you hold down the CTRL key during the drag ImageWalker will copy the item.
  • You can also drag files from windows explorer to ImageWalker in the same manner.
  • Drag and Drop works as in Windows Explorer.

3.5 How to Copy and paste

Items in the browser window can be copied and pasted.

  1. Select the files you want to copy in the browser window.
  2. On the Edit menu, click Copy.
  3. Navigate to the destination folder location
  4. On the Edit menu, click Paste.

Tips:

  • To move files, follow the instructions above but use the cut command in step 2 instead of the copy command.
  • Copy and paste works as in Windows Explorer.

4.1 How to browse a folder with ImageWalker from Windows Explorer

  1. Right click on the folder you wish to browse.
  2. Click on the ImageWalker then Browse with ImageWalker menu options.

4.2 How to set an image as the desktop wallpaper

  1. Navigate to the folder containing the image.
  2. Select the image.
  3. Click on the set as wallpaper command in the tools menu.
  4. Set the required wallpaper options.
  5. Click ok.

The following dialog is used to set the currently shown image as the desktop wallpaper.

  • If scale to fit desktop is set the image will be made the same size as the desktop.
  • If keep aspect ratio is set the image will not appear distorted when on the desktop.

4.3 How to use the ImageWalker screen saver

The ImageWalker screen saver can display a series of still images similar to the normal ImageWalker slide show. The screen saver is configured with a series of folders to take images from.

To set or change a screen saver:

  1. Open Display in Control Panel.
  2. On the Screen Saver tab, under Screen Saver, click ImageWalker screen saver in the list.

4.4 How can I access ImageWalker programmatically?

ImageWalker supports interaction vie OLE automation. This means you can control it through scripting or Visual Basic.

Currently supports only a single method to open a specific folder. The following example will open ImageWalker in 'c:\'

Click here to test ole automation!

The scripting to accomplish this operation is as follows.

var obj;
obj = new ActiveXObject( "ImageWalkerViewer.ImageWalker" );
obj.OpenFolder("c:\\");

or in VB:

dim obj
set obj = CreateObject("ImageWalkerViewer.ImageWalker" )
obj.OpenFolder "c:\"

The following code will open ImageWalker in the same folder as the web page!!

dim s
s = mid(window.location, 9)

While Right(s, 1) <> "/"
s = Left(s, Len(s) -1)
Wend

s = Left(s, Len(s) -1)
s = Replace(s, "%20", " ")
s = Replace(s, "/", "\")

set objIW = CreateObject("ImageWalkerViewer.ImageWalker")
objIW.OpenFolder s

5.1 How to create web pages

The ImageWalker web page contains a tutorial showing how to create Web Pages step by step.

  1. Navigate to the folder containing the images you want to place on a web page.
  2. Select the images.
  3. Click on the create web pages command in the tools menu.
  4. Set the required creation options.
  5. Follow the steps in the wizard.

Tips:

  • The web page creation wizard will output a series of HTML and image files to the selected output folder.
  • Web pages will incorporate descriptions entered for images.
  • After you have created the html files using ImageWalker you need to upload them to the server where your web page is located on the Internet. You cannot do this with ImageWalker, you will need to use a different program or FTP client.
  • It is almost always best to scale all the images in your web page to a uniform size. This should be done before you create the web page. ImageWalker can scale multiple images using the scale multiple images wizard.
  • You can design your own web page templates.

5.2 What is HTML?

Hypertext Markup Language (HTML) is the language of the World Wide Web.

HTML is the language that web pages are written in. It is displayed as a web page by a Web browser such as Microsoft Internet Explorer or Netscape Navigator.

HTML is an open standard, owned and updated by the World Wide Web Consortium (W3C). It is fairly easy to learn, and many online references and how-to books can help you learn it. A quick trip the HTML area on the W3C site or to your local library or bookstore should get you started.

If you want to see some HTML, click View/Source from the menu in your Web browser (or right-click in Microsoft Internet Explorer and choose View Source) to see the HTML code behind the page you are reading.

5.3 What are Cascading Style Sheets?

Cascading Style Sheets (CSS) are design templates that provide augmented control over presentation and layout of HTML elements. They allow you to separate the way you design information from the HTML content.

CSS enables you to control the margins, coloring, background images, fonts, and a whole range of elements for virtually every individual element that an HTML file describes (<BODY>, <HEAD> (header), <P> (paragraph), <UL> or <OL> (lists), <TABLE>, and so on).

Using style sheets, you can create Web pages with minimal graphics, and therefore much smaller downloads. Style sheets also provide you with a higher level of typographic control, and they enable you to make changes to an entire site through the use of linked style sheets.

5.4 What is FTP?

File Transfer Protocol (FTP) is a method for copying files between computers connected to the Internet.

To transfer files using FTP, download an FTP client such as WS-FTP (for Windows) or Fetch (for the Macintosh). Instructions for obtaining and installing these programs are available on the www.download.com.

In most cases your domain host or web page host will be able to provide you with information on how to use FTP on their site.

An online tutorial on using FTP exists on the ImageWalker web page.

5.5 How can I design my own web page templates?

When ImageWalker creates a web page it combines a web page template (HTML), a style sheet (CSS) and a series of images.

Both the style sheet and the web page templates can be edited and modified by the user.

Where are the templates?

In a default installation templates used are located in the folder:

C:\Program Files\Walker\ImageWalker200\Web Templates

How can I add the template?

You need to add an INI file into the template folder for each template you create. ImageWalker will automatically detect new INI files.

The INI file is an ASCII text file that contains sections and keys. Section names are enclosed within brackets. Each key contains one or more entries, each of which has the following format:

name = value

The ImageWalker INI file contains the following sections:

[Index]
template=standard.index.html (This is the template for the index page)

[Image]
template=standard.image.html (This is the template for each image page)

[Required Files] (Include any additional required files)
1=__up.gif
2=__back.gif
3=__next.gif

What is the template format of the Index and Image templates?

The Index and Image templates are standard HTML but contain the following tags that are replaced by the wizard:

In the index template:

  • {{Header}} - Header or title
  • {{Body}} - The main table of thumbnail images
  • {{Footer}} - Page footer

In the image templates:

  • {{Header}} - Header or title
  • {{Navigation}} - Navigation arrows
  • {{Image}} - Large Image File Name
  • {{Description}} - Image Description

6.1 How to edit image descriptions

The most common way to edit image descriptions is from the description view in ImageWalker. To do this:

  1. Select the description view in the view menu.
  2. Focus the image you would like to edit by clicking on it in the folder view.
  3. Enter the new description.
  4. To update the description, de-select the image in the folder window by selecting an alternate image.

Tips:

  • Tool tips can also display image descriptions.
  • Descriptions are used in creating web pages.

Note:

ImageWalker stores descriptions in IPTC format inside the image file. For more information see Where does ImageWalker store the Image Descriptions?

6.2 Where does ImageWalker store the Image Descriptions?

ImageWalker stores description information inside the image file itself.

Many good reasons for storing image descriptions directly in the image file exist. You can rename copy or email the image and the description information remains intact.

The description information is stored inside your image files in a standard IPTC format. The ITPC format is widely supported by many programs including Adobe Photoshop.

ImageWalker can read and update the IPTC details from Jpeg, TIFF, Gif and PNG files currently.

6.3 What is IPTC?

IPTC stands for the International Press Telecommunications Council.

ImageWalker supports the information standard developed by the Newspaper Association of America (NAA) and the International Press Telecommunications Council (IPTC) to identify transmitted text and images. This standard includes entries for captions, keywords, categories, credits, and origins.

The caption and keyword entries can also be updated and viewed by many other third-party image browsers and editors including Adobe Photoshop.

More information can be found at www.iptc.org.

6.4 How can I import other Image Descriptions?

ImageWalker 2.0 can import descriptions written by ImageWalker 1.05 in the description.xml by using the Description Import Wizard.

If anyone has additional image description formats that they would like to import or export please contact Support@ImageWalker.com.